<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>nl.naturalis.nba.api</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="nl.naturalis.nba.api";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Package" class="title">Package&nbsp;nl.naturalis.nba.api</h1>
</div>
<div class="contentContainer">
<section role="region"><a id="package.description">
<!--   -->
</a>
<div class="block">Interfaces and classes that define how to interact with the NBA (<b>start here</b>).</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Ayco Holleman</dd>
</dl>
</section>
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="IGeoAreaAccess.html" title="interface in nl.naturalis.nba.api">IGeoAreaAccess</a></th>
<td class="colLast">
<div class="block">Specifies methods for accessing geographical areas and their coordinates.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="IMultiMediaObjectAccess.html" title="interface in nl.naturalis.nba.api">IMultiMediaObjectAccess</a></th>
<td class="colLast">
<div class="block">Specifies methods for accessing multimedia-related data.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="INbaAccess.html" title="interface in nl.naturalis.nba.api">INbaAccess</a>&lt;DOCUMENT_OBJECT extends <a href="model/IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a>&gt;</th>
<td class="colLast">
<div class="block">Specifies a set of common data access methods that can be called against any
 type of document within the NBA document store.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="INbaDocumentMetaData.html" title="interface in nl.naturalis.nba.api">INbaDocumentMetaData</a>&lt;DOCUMENT_OBJECT extends <a href="model/IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a>&gt;</th>
<td class="colLast">
<div class="block">Specifies methods for retrieving metadata about an Elasticsearch document
 type and the index containing it.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="INbaMetaData.html" title="interface in nl.naturalis.nba.api">INbaMetaData</a></th>
<td class="colLast">
<div class="block">Specifies methods for retrieving general metadata about the NBA.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="ISpecimenAccess.html" title="interface in nl.naturalis.nba.api">ISpecimenAccess</a></th>
<td class="colLast">
<div class="block">Specifies methods for accessing specimen-related data.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="ITaxonAccess.html" title="interface in nl.naturalis.nba.api">ITaxonAccess</a></th>
<td class="colLast">
<div class="block">Specifies methods for accessing taxon and species related data.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="BatchQueryResult.html" title="class in nl.naturalis.nba.api">BatchQueryResult</a>&lt;T&gt;</th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="Filter.html" title="class in nl.naturalis.nba.api">Filter</a></th>
<td class="colLast">
<div class="block">A generic filter definition.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="GroupByScientificNameQueryResult.html" title="class in nl.naturalis.nba.api">GroupByScientificNameQueryResult</a></th>
<td class="colLast">
<div class="block">A extension of <a href="QueryResult.html" title="class in nl.naturalis.nba.api"><code>QueryResult</code></a> capturing the result of a call to
 <a href="ISpecimenAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ISpecimenAccess.groupByScientificName</code></a> or
 <a href="ITaxonAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ITaxonAccess.groupByScientificName</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="GroupByScientificNameQuerySpec.html" title="class in nl.naturalis.nba.api">GroupByScientificNameQuerySpec</a></th>
<td class="colLast">
<div class="block">An extension of the <a href="QuerySpec.html" title="class in nl.naturalis.nba.api"><code>QuerySpec</code></a> class specifically meant for
 <a href="ITaxonAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ITaxonAccess.groupByScientificName</code></a> and
 <a href="ISpecimenAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ISpecimenAccess.groupByScientificName</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="KeyValuePair.html" title="class in nl.naturalis.nba.api">KeyValuePair</a>&lt;T,&#8203;U&gt;</th>
<td class="colLast">
<div class="block">A generic tuple class.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="NameResolutionQuerySpec.html" title="class in nl.naturalis.nba.api">NameResolutionQuerySpec</a></th>
<td class="colLast">
<div class="block">Extension of <a href="QuerySpec.html" title="class in nl.naturalis.nba.api"><code>QuerySpec</code></a> used for the <a href="ISpecimenAccess.html#queryWithNameResolution(nl.naturalis.nba.api.NameResolutionQuerySpec)"><code>queryWithNameResolution</code></a> service.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="NameResolutionRequest.html" title="class in nl.naturalis.nba.api">NameResolutionRequest</a></th>
<td class="colLast">
<div class="block">Defines a request to resolve a search phrase to a list of scientific names by
 means of a query on the taxon index..</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="Path.html" title="class in nl.naturalis.nba.api">Path</a></th>
<td class="colLast">
<div class="block">Immutable class representing a path within an Elasticsearch document.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></th>
<td class="colLast">
<div class="block">
 Class modeling a query condition.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a>&lt;T&gt;</th>
<td class="colLast">
<div class="block">A <code>QueryResult</code> represents the result from a <a href="QuerySpec.html" title="class in nl.naturalis.nba.api"><code>search
 request</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="QueryResultItem.html" title="class in nl.naturalis.nba.api">QueryResultItem</a>&lt;T&gt;</th>
<td class="colLast">
<div class="block">A <code>QueryResultItem</code> contains a document (or other type of object)
 returned from a <a href="QuerySpec.html" title="class in nl.naturalis.nba.api"><code>query</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a></th>
<td class="colLast">
<div class="block">
 A <code>QuerySpec</code> object enables you to specify a query for the NBA.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="SortField.html" title="class in nl.naturalis.nba.api">SortField</a></th>
<td class="colLast">
<div class="block">Represents a field that you want a set of documents to be sorted on.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a></th>
<td class="colLast">
<div class="block">Symbolic constants for the operators that can be used in a
 <a href="QueryCondition.html" title="class in nl.naturalis.nba.api"><code>query condition</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="GroupByScientificNameQuerySpec.GroupSort.html" title="enum in nl.naturalis.nba.api">GroupByScientificNameQuerySpec.GroupSort</a></th>
<td class="colLast">
<div class="block">Enumerates options for sorting the <a href="model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><code>ScientificNameGroup</code></a> objects
 returned from the <code>groupByScientificName</code> APIs.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="LogicalOperator.html" title="enum in nl.naturalis.nba.api">LogicalOperator</a></th>
<td class="colLast">
<div class="block">Symbolic constants for the two logical operators (AND and OR).</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="NameResolutionRequest.NameType.html" title="enum in nl.naturalis.nba.api">NameResolutionRequest.NameType</a></th>
<td class="colLast">
<div class="block">Specifies the different types of names that can be used for the name lookup.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="SortOrder.html" title="enum in nl.naturalis.nba.api">SortOrder</a></th>
<td class="colLast">
<div class="block">Symbolic constants for ascending and descending sort orders.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="UnaryBooleanOperator.html" title="enum in nl.naturalis.nba.api">UnaryBooleanOperator</a></th>
<td class="colLast">
<div class="block">Defines a single constant representing the unary boolean operator NOT.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="IllegalOperatorException.html" title="class in nl.naturalis.nba.api">IllegalOperatorException</a></th>
<td class="colLast">
<div class="block">Thrown when a <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api"><code>query operator</code></a> is used for a field
 that does not does not support that operator (e&#46;g&#46; when you use
 <a href="ComparisonOperator.html#NOT_CONTAINS"><code>NOT_LIKE</code></a> on a number field).</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="InvalidConditionException.html" title="class in nl.naturalis.nba.api">InvalidConditionException</a></th>
<td class="colLast">
<div class="block">Throw when a <a href="QueryCondition.html" title="class in nl.naturalis.nba.api"><code>query condition</code></a> contains an error.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="InvalidQueryException.html" title="class in nl.naturalis.nba.api">InvalidQueryException</a></th>
<td class="colLast">
<div class="block">Thrown when <a href="QuerySpec.html" title="class in nl.naturalis.nba.api"><code>query specification</code></a> contains an error.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="NbaException.html" title="class in nl.naturalis.nba.api">NbaException</a></th>
<td class="colLast">
<div class="block">Base class for all checked exceptions within the NBA.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="NoSuchDataSetException.html" title="class in nl.naturalis.nba.api">NoSuchDataSetException</a></th>
<td class="colLast">
<div class="block">Thrown by methods that produce predefined, named data sets (like
 <a href="ITaxonAccess.html#dwcaGetDataSet(java.lang.String,java.io.OutputStream)"><code>dwcaGetDataSet</code></a>) when there is no data set with the specified name.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="NoSuchFieldException.html" title="class in nl.naturalis.nba.api">NoSuchFieldException</a></th>
<td class="colLast">
<div class="block">Thrown if a user-specified path does not exist or if it is a non-queryable
 path (only leaf nodes in the document type tree are queryable).</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
